/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Nov 21, 2009
 * Time: 10:24:30 AM
 */
public class Point {
    private int x,y,z;
    private double c;

    public Point(int x, int y,int z) {
        this.x = x;
        this.y = y;
        this.z = z;
        this.c = -100;
    }

    public Point(int x, int y) {
        this.x = x;
        this.y = y;
        this.z = 0;
        this.c = -100;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getZ() {
        return z;
    }

    public double getC() {
        return c;
    }

    public void setX(int x) {
        this.x = x;
    }

    public void setY(int y) {
        this.y = y;
    }

    public void setC(double c) {
        this.c = c;
    }

    public Point minus(Point p){
        return new Point(x-p.x,y-p.y);
    }

    public void print(){
        System.out.println("( "+x+" | "+y+" | "+z+" )");
    }

    public double distanceTo(Point p){
        return Math.sqrt(Math.pow(x-p.x,2)+Math.pow(y-p.y,2));
    }

    public boolean equals(Object e){
        if (!(e instanceof Point))return false;
        return ((Point)e).x==x&&((Point)e).y==y;
    }
}
