/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

package Space;
import java.awt.*;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Dec 10, 2009
 * Time: 8:09:43 PM
 */
public class Polygon {
    private int[] x,y,z;
    private double[] avg;
    private Color col;

    public Polygon(int[] x, int[] y, int[] z, Color col) {
        this.x = x;
        this.y = y;
        this.z = z;
        this.col = col;
        avg=new double[3];
        for (int a=0;a<x.length;a++){
            avg[0]+=x[a];
            avg[1]+=y[a];
            avg[2]+=z[a];
        }
        avg[0]/=x.length;
        avg[1]/=x.length;
        avg[2]/=x.length;
    }

    public double[] getAverage(){
        return avg;
        /*double[] out=new double[3];
        for (int a=0;a<x.length;a++){
            out[0]+=x[a];
            out[1]+=y[a];
            out[2]+=z[a];
        }
        out[0]/=x.length;
        out[1]/=x.length;
        out[2]/=x.length;
        return out;*/
    }

    public int[] getZ() {
        return z;
    }

    public Color getCol() {
        return col;
    }

    public int[] getX() {
        return x;
    }

    public int[] getY() {
        return y;
    }
}
