/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package Space;
import java.awt.Color;

/**
 * Spline - Represents a 3d Spline (line between to points)
 * @author Max Buegler - Universiteit Maastricht - Knowledge Engineering 2007/2008 Block 1.3
 *
 */
public class Spline {
	private int[] p1;
	private int[] p2;
	private Color c1;
	private int splineIndex;
	
	/**
	 * creates new Spline
	 * @param a point a
	 * @param b point b
	 * @param c Color
	 */
	public Spline(int[] a, int[] b, Color c){
		splineIndex=-1;
		p1=a;
		p2=b;
		c1=c;
	}
	/**
	 * sets Splineindex
	 * @param x
	 */
	public void setSplineIndex(int x){
		splineIndex=x;
	}
	/**
	 * gets Splineindex
	 * @return index
	 */
	public int getSplineIndex(){
		return splineIndex;
	}
	/**
	 * gets point a
	 * @return point
	 */
	public int[] getP1(){
		return p1;
	}
	/**
	 * gets point b
	 * @return point
	 */
	public int[] getP2(){
		return p2;
	}
	/**
	 * gets Color
	 * @return Color
	 */
	public Color getC1(){
		return c1;
	}
}
