/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package Space;

import java.util.ArrayList;
/**
 * SplineObject - Collection of Splines
 * @author Max Buegler - Universiteit Maastricht - Knowledge Engineering 2007/2008 Block 1.3
 *
 */
public class SplineObject {
	private ArrayList<Spline> splines;
	private int objectIndex;
	/**
	 * creates new SplineObject
	 */
	public SplineObject(){
		splines = new ArrayList<Spline>();
		objectIndex=-1;
	}
	/**
	 * sets Objectindex
	 * @param x index
	 */
	public void setObjectIndex(int x){
		objectIndex=x;
	}
	/**
	 * gets ObjectIndex
	 * @return index
	 */
	public int getObjectIndex(){
		return objectIndex;
	}
	/**
	 * gets ArrayList of Splines
	 * @return ArrayList<Spline>
	 */
	public ArrayList<Spline> getSplines(){
		return splines;
	}
	/**
	 * adds Spline to object
	 * @param a Spline
	 */
	public void addSpline(Spline a){
		a.setSplineIndex(splines.size());
		splines.add(a);
	}
	
}
